package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("获取指定菜谱发布详情分页列表")
public class MenuRecipeDetailV2PageVO {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("发布日期")
   private LocalDate applyDate;
   @ApiModelProperty("餐次列表")
   private List<String> mealtimeNameList;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public List<String> getMealtimeNameList() {
      return this.mealtimeNameList;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setMealtimeNameList(final List<String> mealtimeNameList) {
      this.mealtimeNameList = mealtimeNameList;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

}
